<div class="notification_endpoint">
  <mat-form-field class="input">
    <input
      matInput
      type="text"
      placeholder="Placeholder"
      [disabled]="disabled"
      [(ngModel)]="data.endpoint_placeholder"
    />
  </mat-form-field>
  <mat-form-field class="input">
    <input
      type="text"
      matInput
      placeholder="URL"
      [disabled]="disabled"
      [(ngModel)]="data.endpoint_url"
    />
  </mat-form-field>
  <mat-form-field class="input">
    <input
      matInput
      [type]="pwd_type"
      placeholder="No credentials associated"
      [disabled]="disabled"
      [(ngModel)]="data.endpoint_credentials"
    />
  </mat-form-field>
  <mat-form-field class="input date">
    <input
      type="text"
      matInput
      placeholder="Date"
      disabled
      (ngModelChange)="data.inserted_at = $event"
      [ngModel]="data.inserted_at + 'Z' | date : 'yyyy-MM-dd HH:mm:ss'"
    />
  </mat-form-field>
  <span class="mask">
    <button
      *ngIf="pwd_type == 'text'"
      mat-button
      [disabled]="
        selected_notification_endpoint &&
        selected_notification_endpoint != data.id
      "
      color="primary"
      (click)="mask(true)"
    >
      <mat-icon>visibility</mat-icon>
    </button>
    <button
      *ngIf="pwd_type == 'password'"
      mat-button
      [disabled]="
        selected_notification_endpoint &&
        selected_notification_endpoint != data.id
      "
      color="primary"
      (click)="mask(false)"
    >
      <mat-icon>visibility_off</mat-icon>
    </button>
  </span>
  <span class="edit">
    <button
      mat-button
      [disabled]="
        selected_notification_endpoint &&
        selected_notification_endpoint != data.id
      "
      color="primary"
      *ngIf="disabled"
      (click)="edit(true)"
    >
      <mat-icon>edit</mat-icon>
    </button>
    <button
      mat-button
      [disabled]="
        selected_notification_endpoint &&
        selected_notification_endpoint != data.id
      "
      color="primary"
      *ngIf="!disabled"
      (click)="edit(false)"
    >
      <mat-icon>save</mat-icon>
    </button>
  </span>
  <span class="delete">
    <button
      mat-button
      color="warn"
      [disabled]="
        selected_notification_endpoint &&
        selected_notification_endpoint != data.id
      "
      (click)="delete()"
    >
      <mat-icon>delete_forever</mat-icon>
    </button>
  </span>
</div>
